///////////////////////////////////////////////////////////////////////
// Copyright 1991, 1992 MetaWare Incorporated.  All rights reserved. //
///////////////////////////////////////////////////////////////////////
// new/delete and array new/delete for C++.

#define DEBUG 0
#include <stdlib.h>	// For size_t and malloc.

extern void (*_mwnewhandler)();

extern "C++" void *operator new(size_t size) {
    void *ret =  malloc(size);
    // call user's new handler if one exists
    if (ret==0 && _mwnewhandler) _mwnewhandler();
    return ret;
    }
